#include <stdio.h>

int main(){
 
  int broj, cifra1,cifra2,novi_broj=0;
  int i,faktor = 10;
  
  scanf("%d",&broj);
  cifra1 = broj % 10;
  
  while(broj >0){
      cifra2 = (broj/faktor)%10;
      
      if (cifra1== cifra2)
      novi_broj = broj*10 + cifra1;
      faktor*=10;
  }
  
  printf("%d\n",novi_broj);
  
  return 0;
}